Description

Hello,

I am trying to select an appropriate weight but I am struggling with deciding which is the most appropriate. I am using the youth

survey, and my analysis is at wave 1,3, and 5.

Based on the criteria, I was expecting

1. _lw    because it is longitudinal, using waves 1,3,5

2. e_ which is the last Wave I use in the Understanding Society survey

3. It is at the individual level so       _ythsc

zz_   part should be us_

e_ythsc_us_lw

I was expecting this but it does not appear to be there. Could you help me pick a weight? I have tried using the documentation and

looking through files but I can’t seem to find an appropriate one.  The youth are the main respondents but I have also linked fixed

variables from household information such as deprivation variables and the youth’s parental mental health.

Kind regards

History

#1 - 11/20/2020 03:48 PM - Alita Nandi

- Status changed from New to In Progress

- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response

times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,

Alita

Understanding Society User Support Team

#2 - 11/23/2020 12:29 PM - Olena Kaminska

Dear George,

Thank you for your question. We do not provide longitudinal youth weights as one quickly runs out of people. In your analysis you will have 1 or 2 year

groups only. Your analysis is also complicated by using information from parental personal interview (so you need non-missing youth questionnaire

and non-missing respective parent questionnaire). The suboptimal weight for this is e_psnenus_lw. But you can also create your own tailored weight.

I am teaching how to do this on November 27 in an online workshop.

Hope this helps,

Olena

#3 - 11/24/2020 02:17 PM - George Comp

Hi, thank you for your reply on the last bit.
I have tried using the weight in my data but can't seem to find an appropriate way to add them.

I am using the nlme package in R. It must be a problem that appears from time to time since UKHLS is a longitudinal survey and multilevel models

are a common way to analyse this sort of data.

Is there someone who might be able to help me implement the R code?

Kind regards

Greg

#4 - 11/25/2020 03:27 PM - Pablo Cabrera Álvarez

Hi George,

In my experience the use of survey weights in R can be tricky with some packages. Having a quick look at the documentation of nlme, it seems to me

that the argument "weights" of nlme does not work with survey weights. I have found a way to implement them using nlme in this post-tutorial that

may help you.

Best,

Pablo

#5 - 12/02/2020 03:03 PM - Alita Nandi

- Status changed from In Progress to Feedback

- % Done changed from 10 to 80

#6 - 01/21/2021 01:44 PM - Alita Nandi

- Assignee changed from Olena Kaminska to George Comp

#7 - 10/12/2021 05:02 PM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (George Comp)

- % Done changed from 80 to 100
